#!/bin/bash

# find current env's data path
cartopy_data=`find ${CONDA_PREFIX}/lib -type d -name cartopy`
[[ -n ${cartopy_data} ]] || { echo "Did not find cartopy.  Did you activate the environment?"; exit; }
echo ${cartopy_data}

# create tmp dir 
[[ -n ${TMPDIR} ]] || TMPDIR=/tmp
tmp_dir=${TMPDIR}/`date +%s%N`_get_full_cartopy
mkdir ${tmp_dir}

# cd to tmp dir, get cartopy source, download data to repo data path
(
    cd ${tmp_dir}
    git clone https://github.com/SciTools/cartopy.git
    python \
        cartopy/tools/feature_download.py \
        --output ${cartopy_data} cultural-extra cultural gshhs physical \
        --ignore-repo-data
)

# clean up
rm -rf ${tmp_dir}
