#!/bin/bash

# how to use?
if [ $# -lt 2 ]; then
    echo "Usage:" $0 "<target dir> <env1 [env2] ...>"
    echo ""
    echo "<target dir> : full path to miniconda installation."
    echo "               Should include time stamp or similar."
    echo ""
    echo "env*         : env files (incl. path)"
    echo ""
    exit
fi

# create time stamp for this installation
time_stamp=`date +%s%N`

# get target directory
target_dir=$1
echo "... installing in " ${target_dir}

# download miniconda
installer=/tmp/${time_stamp}_miniconda3.sh
wget https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh \
    -O ${installer}

# install miniconda and clean up
bash ${installer} -b -p ${target_dir}
rm -f ${installer}

# activate root environment of installation
source ${target_dir}/bin/activate root || exit 1

# install all of the specified envs
echo "installing env files:"
echo "${@:2}"
for f in "${@:2}"; do
    conda env create -f $f || exit 1
done
