#!/bin/bash

# how to use?
if [ $# -eq 0 ]; then
    echo "Usage:" $0 "<target dir> <env1 [env2] ...>"
    echo ""
    echo "<target dir> : full path to miniconda installation."
    echo "               Should include time stamp or similar."
    echo ""
    echo "env*         : env files (incl. path)"
    echo ""
    exit
fi

# get target directory
target_dir=$1
echo "... updating " ${target_dir}

# activate root environment of installation
source ${target_dir}/bin/activate root

# update given envs
echo "Updating env files:"
echo "${@:2}"
for f in "${@:2}"; do
    name=`cat $f | grep '^name:' | cut -d: -f2- | tr -d "[:blank:]"`
    grep -q 'pip:' $f && conda env remove -n ${name} -y -q
    conda env update -f $f || exit 1
done
